#include "mbed.h"
#include "MDM.h"

DigitalOut myled(LED); 


int main() {
    MDMSerial mdm;
    
    MDMParser::DevStatus devStatus = {};
    
    bool mdmOk = mdm.init("5554", &devStatus);
    mdm.dumpDevStatus(&devStatus);
    
    if (!mdmOk) {
        printf("ERROR");
    }
    
    mdm.sendFormated("AT+ULOCCELL=0");
    if (RESP_OK == mdm.waitFinalResp()) {
        printf("Receive OK");
    } else {
        printf("Does not receive OK");
    }
    
    return 0;
}
